package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import lombok.Data;

/**
 * 
 * @TableName orders1
 */
@TableName(value ="orders1")
@Data
public class Orders1 implements Serializable {
    /**
     * id
     */
    @TableId
    private Long id;

    /**
     * 订单id
     */
    private String orderName;

    /**
     * 总金额
     */
    private BigDecimal zhong;

    /**
     * 优惠券金额
     */
    private BigDecimal youhui;

    /**
     * 实付金额
     */
    private BigDecimal shi;

    /**
     * 优惠id
     */
    private Long userId;
    @TableField(exist = false)
    private List<OrdersTime> ordersTimes;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        Orders1 other = (Orders1) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderName() == null ? other.getOrderName() == null : this.getOrderName().equals(other.getOrderName()))
            && (this.getZhong() == null ? other.getZhong() == null : this.getZhong().equals(other.getZhong()))
            && (this.getYouhui() == null ? other.getYouhui() == null : this.getYouhui().equals(other.getYouhui()))
            && (this.getShi() == null ? other.getShi() == null : this.getShi().equals(other.getShi()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderName() == null) ? 0 : getOrderName().hashCode());
        result = prime * result + ((getZhong() == null) ? 0 : getZhong().hashCode());
        result = prime * result + ((getYouhui() == null) ? 0 : getYouhui().hashCode());
        result = prime * result + ((getShi() == null) ? 0 : getShi().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderName=").append(orderName);
        sb.append(", zhong=").append(zhong);
        sb.append(", youhui=").append(youhui);
        sb.append(", shi=").append(shi);
        sb.append(", userId=").append(userId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}