package com.zhentao.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName orders_time
 */
@TableName(value ="orders_time")
@Data
public class OrdersTime implements Serializable {
    /**
     * id
     */
    @TableId
    private Long id;

    /**
     * 商品id
     */
    private Long shopId;

    /**
     * 订单id
     */
    private Long ordersId;

    private BigDecimal jiage;

    /**
     * 数量
     */
    private Integer count;

    /**
     * 小计
     */
    private BigDecimal xiao;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        OrdersTime other = (OrdersTime) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getShopId() == null ? other.getShopId() == null : this.getShopId().equals(other.getShopId()))
            && (this.getOrdersId() == null ? other.getOrdersId() == null : this.getOrdersId().equals(other.getOrdersId()))
            && (this.getCount() == null ? other.getCount() == null : this.getCount().equals(other.getCount()))
            && (this.getJiage() == null ? other.getJiage() == null : this.getJiage().equals(other.getJiage()))
            && (this.getXiao() == null ? other.getXiao() == null : this.getXiao().equals(other.getXiao()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getShopId() == null) ? 0 : getShopId().hashCode());
        result = prime * result + ((getOrdersId() == null) ? 0 : getOrdersId().hashCode());
        result = prime * result + ((getCount() == null) ? 0 : getCount().hashCode());
        result = prime * result + ((getXiao() == null) ? 0 : getXiao().hashCode());
        result = prime * result + ((getJiage() == null) ? 0 : getJiage().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", shopId=").append(shopId);
        sb.append(", ordersId=").append(ordersId);
        sb.append(", count=").append(count);
        sb.append(", jiage=").append(jiage);
        sb.append(", xiao=").append(xiao);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}