package com.zhentao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.conment.SnowflakeIdWorker;
import com.zhentao.dto.YOuhuiqDto;
import com.zhentao.pojo.Youhuiq;
import com.zhentao.service.YouhuiqService;
import com.zhentao.mapper.YouhuiqMapper;
import org.springframework.stereotype.Service;

/**
* @author lzy
* @description 针对表【youhuiq】的数据库操作Service实现
* @createDate 2025-05-10 10:16:07
*/
@Service
public class YouhuiqServiceImpl extends ServiceImpl<YouhuiqMapper, Youhuiq>
    implements YouhuiqService{


    @Override
    public String AddYouhuiq(YOuhuiqDto yOuhuiqDto,Long uid) {
        SnowflakeIdWorker snowflakeIdWorker=new SnowflakeIdWorker(1,1);
        int insert = this.baseMapper.insert(new Youhuiq(snowflakeIdWorker.nextId(), yOuhuiqDto.getName(), yOuhuiqDto.getJine(), uid, yOuhuiqDto.getStart()));

        return "添加成功";
    }
}




